# SdFat: SoftSpiDriver< MisoPin, MosiPin, SckPin > Class Template Reference

SoftSpiDriver< MisoPin, MosiPin, SckPin > Class Template Reference

Class for external soft SPI. More...

`#include <SdSpiSoftDriver.h>`

Inheritance diagram for SoftSpiDriver< MisoPin, MosiPin, SckPin >:
[legend]
Collaboration diagram for SoftSpiDriver< MisoPin, MosiPin, SckPin >:
[legend]

## Public Member Functions

void | begin ()
uint8_t | receive ()
void | send (uint8_t data)

## Detailed Description

### template<uint8_t MisoPin, uint8_t MosiPin, uint8_t SckPin>
class SoftSpiDriver< MisoPin, MosiPin, SckPin >

Class for external soft SPI.

## Member Function Documentation

## begin()

template<uint8_t MisoPin, uint8_t MosiPin, uint8_t SckPin>

void SoftSpiDriver< MisoPin, MosiPin, SckPin >::begin | ( |  | ) |

inlinevirtual

Initialize the SPI bus.

Implements SoftSPIClass.

## receive()

template<uint8_t MisoPin, uint8_t MosiPin, uint8_t SckPin>

uint8_t SoftSpiDriver< MisoPin, MosiPin, SckPin >::receive | ( |  | ) |

inlinevirtual

Receive a byte.

Returns
  The byte.

Implements SoftSPIClass.

## send()

template<uint8_t MisoPin, uint8_t MosiPin, uint8_t SckPin>

void SoftSpiDriver< MisoPin, MosiPin, SckPin >::send | ( | uint8_t | data | ) |

inlinevirtual

Send a byte.

Parameters

  [in] | data | Byte to send

Implements SoftSPIClass.

The documentation for this class was generated from the following file:

- ArduinoSdFat/libraries/SdFat/src/SpiDriver/SdSpiSoftDriver.h